Red Hat: 2015:0246-01: openstack-glance: Important Advisory | Linux...
=====================================================================
                   Red Hat Security Advisory

Synopsis:          Important: openstack-glance security update
Advisory ID:       RHSA-2015:0246-01
Product:           Red Hat Enterprise Linux OpenStack Platform
Advisory URL:      https://rhn.redhat.com/errata/RHSA-2015-0246.html
Issue date:        2015-02-19
CVE Names:         CVE-2014-9493 
=====================================================================

1. Summary:

Updated openstack-glance packages that fix one security issue are now
available for Red Hat Enterprise Linux OpenStack Platform 4.0 and Red Hat
Enterprise Linux OpenStack Platform 5.0 for Red Hat Enterprise Linux 6
and 7.

Red Hat Product Security has rated this update as having Important security
impact. A Common Vulnerability Scoring System (CVSS) base score, which
gives a detailed severity rating, is available from the CVE link in the
References section.

2. Relevant releases/architectures:

Red Hat Enterprise Linux OpenStack Platform 4.0 - noarch
Red Hat Enterprise Linux OpenStack Platform 5.0 for RHEL 6 - noarch
Red Hat Enterprise Linux OpenStack Platform 5.0 for RHEL 7 - noarch

3. Description:

OpenStack Image service (glance) provides discovery, registration, and
delivery services for disk and server images. It provides the ability to
copy or snapshot a server image, and immediately store it away. Stored
images can be used as a template to get new servers up and running quickly
and more consistently than installing a server operating system and
individually configuring additional services.

It was discovered that an authenticated user could use a path traversal
flaw in glance to download or delete any file on the glance server that is
accessible to the glance process user. Note that only setups using the
OpenStack Image V2 API were affected by this flaw. (CVE-2014-9493)

All openstack-glance users are advised to upgrade to these updated
packages, which correct these issues. After installing the updated
packages, the running glance services will be restarted automatically.

4. Solution:

Before applying this update, make sure all previously released errata
relevant to your system have been applied.

This update is available via the Red Hat Network. Details on how to
use the Red Hat Network to apply this update are available at
https://access.redhat.com/articles/11258

5. Bugs fixed (https://bugzilla.redhat.com/):

1174474 - CVE-2014-9493 openstack-glance: unrestricted path traversal flaw

6. Package List:

Red Hat Enterprise Linux OpenStack Platform 5.0 for RHEL 6:

Source:
openstack-glance-2014.1.3-4.el6ost.src.rpm

noarch:
openstack-glance-2014.1.3-4.el6ost.noarch.rpm
openstack-glance-doc-2014.1.3-4.el6ost.noarch.rpm
python-glance-2014.1.3-4.el6ost.noarch.rpm

Red Hat Enterprise Linux OpenStack Platform 4.0:

Source:
openstack-glance-2013.2.4-3.el6ost.src.rpm

noarch:
openstack-glance-2013.2.4-3.el6ost.noarch.rpm
openstack-glance-doc-2013.2.4-3.el6ost.noarch.rpm
python-glance-2013.2.4-3.el6ost.noarch.rpm

Red Hat Enterprise Linux OpenStack Platform 5.0 for RHEL 7:

Source:
openstack-glance-2014.1.3-4.el7ost.src.rpm

noarch:
openstack-glance-2014.1.3-4.el7ost.noarch.rpm
openstack-glance-doc-2014.1.3-4.el7ost.noarch.rpm
python-glance-2014.1.3-4.el7ost.noarch.rpm

These packages are GPG signed by Red Hat for security.  Our key and
details on how to verify the signature are available from
https://access.redhat.com/security/team/key/

7. References:

https://access.redhat.com/security/cve/CVE-2014-9493
https://access.redhat.com/security/updates/classification/#important

8. Contact:

The Red Hat security contact is . More contact
details at https://access.redhat.com/security/team/contact/

Copyright 2015 Red Hat, Inc.

Red Hat: 2015:0246-01: openstack-glance: Important Advisory

Updated openstack-glance packages that fix one security issue are now available for Red Hat Enterprise Linux OpenStack Platform 4.0 and Red Hat Enterprise Linux OpenStack Platform ...

Summary

OpenStack Image service (glance) provides discovery, registration, and delivery services for disk and server images. It provides the ability to copy or snapshot a server image, and immediately store it away. Stored images can be used as a template to get new servers up and running quickly and more consistently than installing a server operating system and individually configuring additional services.
It was discovered that an authenticated user could use a path traversal flaw in glance to download or delete any file on the glance server that is accessible to the glance process user. Note that only setups using the OpenStack Image V2 API were affected by this flaw. (CVE-2014-9493)
All openstack-glance users are advised to upgrade to these updated packages, which correct these issues. After installing the updated packages, the running glance services will be restarted automatically.

Solution

Before applying this update, make sure all previously released erratarelevant to your system have been applied.This update is available via the Red Hat Network. Details on how touse the Red Hat Network to apply this update are available athttps://access.redhat.com/articles/11258

References

https://access.redhat.com/security/cve/CVE-2014-9493 https://access.redhat.com/security/updates/classification/#important

Package List

Red Hat Enterprise Linux OpenStack Platform 5.0 for RHEL 6:
Source: openstack-glance-2014.1.3-4.el6ost.src.rpm
noarch: openstack-glance-2014.1.3-4.el6ost.noarch.rpm openstack-glance-doc-2014.1.3-4.el6ost.noarch.rpm python-glance-2014.1.3-4.el6ost.noarch.rpm
Red Hat Enterprise Linux OpenStack Platform 4.0:
Source: openstack-glance-2013.2.4-3.el6ost.src.rpm
noarch: openstack-glance-2013.2.4-3.el6ost.noarch.rpm openstack-glance-doc-2013.2.4-3.el6ost.noarch.rpm python-glance-2013.2.4-3.el6ost.noarch.rpm
Red Hat Enterprise Linux OpenStack Platform 5.0 for RHEL 7:
Source: openstack-glance-2014.1.3-4.el7ost.src.rpm
noarch: openstack-glance-2014.1.3-4.el7ost.noarch.rpm openstack-glance-doc-2014.1.3-4.el7ost.noarch.rpm python-glance-2014.1.3-4.el7ost.noarch.rpm
These packages are GPG signed by Red Hat for security. Our key and details on how to verify the signature are available from https://access.redhat.com/security/team/key/

Severity
Advisory ID: RHSA-2015:0246-01
Product: Red Hat Enterprise Linux OpenStack Platform
Advisory URL: https://rhn.redhat.com/errata/RHSA-2015-0246.html
Issued Date: : 2015-02-19
CVE Names: CVE-2014-9493

Topic

Updated openstack-glance packages that fix one security issue are nowavailable for Red Hat Enterprise Linux OpenStack Platform 4.0 and Red HatEnterprise Linux OpenStack Platform 5.0 for Red Hat Enterprise Linux 6and 7.Red Hat Product Security has rated this update as having Important securityimpact. A Common Vulnerability Scoring System (CVSS) base score, whichgives a detailed severity rating, is available from the CVE link in theReferences section.

Relevant Releases Architectures

Red Hat Enterprise Linux OpenStack Platform 4.0 - noarch

Red Hat Enterprise Linux OpenStack Platform 5.0 for RHEL 6 - noarch

Red Hat Enterprise Linux OpenStack Platform 5.0 for RHEL 7 - noarch

Bugs Fixed

1174474 - CVE-2014-9493 openstack-glance: unrestricted path traversal flaw

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.